Subject: Re: [X2Go-Dev] Bug#656: Fwd: Windows X2GoClient hangs when launching x2gostartagent

From: Mike Gabriel <[email-masked]>
Date: Wed, 29 Oct 2014 14:17:06 +0000

Hi Kyle,

On  Mi 29 Okt 2014 14:30:54 CET, Kyle Cottongim wrote:

> Hello Mike,
>
> On Wed, Oct 29, 2014 at 4:39 AM, Mike Gabriel <
> [email-masked]> wrote:
>
>> Hi Kyle,
>>
>> On  So 26 Okt 2014 00:04:16 CEST, Kyle Cottongim wrote:
>>
>>  Package: X2GoClient
>>> Version: 4.0.3.0
>>>
>>> When launching a session from within the X2GoClient, the process will hang
>>> after the following call:
>>>
>>> x2go-DEBUG-onmainwindow.cpp:3900> Executing remote command:
>>> "x2gostartagent
>>> 1440x900 adsl 16m-jpeg-9 unix-kde-depth_32 us pc105/us 1 D GNOME both"
>>>
>>> This does not happen all the time, but generally happens after loss of
>>> network connection or after logging out instead of just closing the
>>> X2GoClient window. A complete restart of the client machine will solve the
>>> issue.
>>>
>>
>> Could you cross-check the debug output of X2Go Server, possibly add some
>> more log message to /usr/bin/x2gostartagent, so that we can narrow down,
>> where the "hang" actually occurs?
>>
>> Does x2gostartagent get executed at all, or is X2Go Client aready stalling
>> before executing that command.
>>
>> Or is x2gostartagent hanging somewhere on the way? (Extra log messages
>> placed in x2gostartagent will be helpful then).
>>
>> Regards,
>> Mike
>
>
> ​During this launch attempt, it seems the client is getting a bit further
> along than before, but still not to the point of launching something​. Here
> is how far things are getting now:
>
> x2go-DEBUG-onmainwindow.cpp:2778> SSH connection established.
> x2go-DEBUG-onmainwindow.cpp:3038> Continue normal x2go session
> x2go-DEBUG-onmainwindow.cpp:3382> ""
> x2go-DEBUG-onmainwindow.cpp:3769> Fullscreen: false
> x2go-DEBUG-onmainwindow.cpp:9257> got localhost
> x2go-DEBUG-onmainwindow.cpp:9279> Port is free: 6000
> x2go-DEBUG-onmainwindow.cpp:9345> using internal X: true
> x2go-DEBUG-onmainwindow.cpp:9368> WxH:"1440"x"900"
> x2go-DEBUG-onmainwindow.cpp:9373> "-multiwindow -notrayicon -clipboard"
> x2go-DEBUG-onmainwindow.cpp:9410> Running "C:/Program Files
> (x86)/x2goclient\vcxsrv\vcxsrv.exe" "-multiwindow -notrayicon -clipboard :0"
> x2go-DEBUG-onmainwindow.cpp:3900> Executing remote command: "x2gostartagent
> 1440x900 adsl 16m-jpeg-9 unix-kde-depth_32 us pc105/us 1 D GNOME both"
> x2go-DEBUG-onmainwindow.cpp:9257> got localhost
> x2go-DEBUG-onmainwindow.cpp:9285> Port already used: 6000
> x2go-DEBUG-onmainwindow.cpp:9439> X is started.
> x2go-DEBUG-onmainwindow.cpp:9790> All winservers are started.
>
> With some debug within the x2gostartagent I can tell that it is executing
> this script and now seems to be getting past this point. I have turned the
> logging level of the server to debug and here is the output I am seeing
> during a connection attempt:
>
> Oct 29 08:02:33 oddjob /usr/bin/x2golistsessions[12799]: x2golistsessions
> has been called with no option
> Oct 29 08:02:34 oddjob /usr/bin/x2gostartagent: x2gostartagent called with
> options: 1440x900 adsl 16m-jpeg-9 unix-kde-depth_32 us pc105/us 1 D GNOME
> both
> Oct 29 08:02:34 oddjob /usr/bin/x2gostartagent: client announced itself as
> ,,131.199.103.76''
> Oct 29 08:02:34 oddjob /usr/bin/x2gosessionlimit[12835]: x2gosessionlimit
> has been called
> Oct 29 08:02:34 oddjob /usr/bin/x2golistsessions[12838]: x2golistsessions
> has been called with options: --all-servers
>
> I added some more debug messages to x2golistsessions and am seeing that
> this script seems to finish execution (I reach deubg statements just before
> closing syslog).
>
> Another note is that even after restart of the client and server PCs, this
> is not working. Also, If I keep my client open for a long time after it
> "hangs", it will sometimes eventually bring up the remote session. The time
> it takes for it to do this is on the order of magnitude of many hours.
>
> Thanks,
> Kyle

Can you provide the output of

   x2golistsessions --all-servers

while X2Go Client is trying to launch the session?

Make sure to obfuscate non-public data from listsession's output  
(username, host IPs, etc.).

Also, please tell me your X2Go Server version.

   $ x2goversion

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb